# Get a roster

Section: Your data › Rosters

```
GET https://ba.joexyz.online/api/v1/me/rosters/:id
```

Gets one of your rosters.

**Parameters**

- `id` (path): The roster id.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `id` |  |

## Example responses

### 200 OK

```json
{
  "data": {
    "id": "k17fp61xb5wqf8f6ge798sa1t17sg20f",
    "createdAt": "2025-10-15T00:22:23.815Z",
    "name": "Joe",
    "accountLevel": 90,
    "friendCode": "KQZRTVMW",
    "gameServer": "EU",
    "introduction": "Hello.\n\n**Note:** This isn't my full roster. Let me know if there's anyone in particular that you're looking for.",
    "lastUpdated": 1783978245235,
    "studentRepId": "kei",
    "students": [
      {
        "studentId": "hoshino_battle_dealer",
        "attackLevel": 25,
        "basic": 10,
        "enhanced": 10,
        "equipmentSlot1": 10,
        "equipmentSlot2": 10,
        "equipmentSlot3": 10,
        "equipmentSlot4": 0,
        "ex": 5,
        "healLevel": 25,
        "hpLevel": 25,
        "level": 90,
        "relationshipRank": 74,
        "starLevel": 5,
        "sub": 10,
        "ueLevel": 4
      },
      {
        "studentId": "hoshino",
        "attackLevel": 25,
        "basic": 10,
        "enhanced": 10,
        "equipmentSlot1": 10,
        "equipmentSlot2": 10,
        "equipmentSlot3": 10,
        "equipmentSlot4": 2,
        "ex": 5,
        "healLevel": 25,
        "hpLevel": 25,
        "level": 90,
        "relationshipRank": 74,
        "starLevel": 5,
        "sub": 10,
        "ueLevel": 4
      },
      {
        "studentId": "hoshino_swimsuit",
        "attackLevel": 25,
        "basic": 10,
        "enhanced": 10,
        "equipmentSlot1": 10,
        "equipmentSlot2": 10,
        "equipmentSlot3": 10,
        "equipmentSlot4": 0,
        "ex": 5,
        "featuredBorrowSlot": "jfd",
        "healLevel": 25,
        "hpLevel": 25,
        "level": 90,
        "relationshipRank": 64,
        "starLevel": 5,
        "sub": 10,
        "ueLevel": 4
      }
    ],
    "visibility": "public"
  }
}
```

### 404 Not Found

```json
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Roster not found"
  }
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/me/rosters/:id \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/rosters/:id", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/rosters/:id"
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/rosters/:id", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
